Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el recompiled on startup

From: Andrea Corallo <[email-masked]>
Date: Fri, 09 Sep 2022 19:03:31 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> I'm not sure, shouldn't the cookie already be present in the
>> bytecode?
>
> It's not at present -- it's just a comment in the .el file, after all.
>
> But perhaps we could propagate that to the .elc file somehow?

Uh you are right!  Dunno why I was convinced cookies are present in the
.elc :/

Yes I think we should propapgate them, well at least `no-native-compile'
(I'm not sure of the others).  Opinions are very welcome :)

  Andrea